Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Examples

# version.h File Reference

`#include <gdkmm/gl/defs.h>`

Include dependency graph for version.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | GDKGLEXTMM_MAJOR_VERSION (1)
#define | GDKGLEXTMM_MINOR_VERSION (2)
#define | GDKGLEXTMM_MICRO_VERSION (0)
#define | GDKGLEXTMM_INTERFACE_AGE (0)
#define | GDKGLEXTMM_BINARY_AGE (0)
#define | GDKGLEXTMM_CHECK_VERSION(major, minor, micro)
## Variables
GDKMM_GL_VAR const int | gdkglextmm_major_version
GDKMM_GL_VAR const int | gdkglextmm_minor_version
GDKMM_GL_VAR const int | gdkglextmm_micro_version
GDKMM_GL_VAR const int | gdkglextmm_interface_age
GDKMM_GL_VAR const int | gdkglextmm_binary_age

## Define Documentation

#define GDKGLEXTMM_BINARY_AGE (0)

#define GDKGLEXTMM_CHECK_VERSION | ( | major,
|  | minor,
|  | micro |  | ) |

| Value:
    (GDKGLEXTMM_MAJOR_VERSION > (major) ||                                         \
      (GDKGLEXTMM_MAJOR_VERSION == (major) && GDKGLEXTMM_MINOR_VERSION > (minor)) || \
      (GDKGLEXTMM_MAJOR_VERSION == (major) && GDKGLEXTMM_MINOR_VERSION == (minor) && \
       GDKGLEXTMM_MICRO_VERSION >= (micro)))

#define GDKGLEXTMM_INTERFACE_AGE (0)

#define GDKGLEXTMM_MAJOR_VERSION (1)

#define GDKGLEXTMM_MICRO_VERSION (0)

#define GDKGLEXTMM_MINOR_VERSION (2)

## Variable Documentation

GDKMM_GL_VAR const int gdkglextmm_binary_age

GDKMM_GL_VAR const int gdkglextmm_interface_age

GDKMM_GL_VAR const int gdkglextmm_major_version

GDKMM_GL_VAR const int gdkglextmm_micro_version

GDKMM_GL_VAR const int gdkglextmm_minor_version